[Piuparts-commits] rev 834 - trunk/debian

Holger Levsen holger at alioth.debian.org
Tue Nov 30 13:32:30 UTC 2010


Author: holger
Date: 2010-11-30 13:32:20 +0000 (Tue, 30 Nov 2010)
New Revision: 834

Modified:
   trunk/debian/changelog
   trunk/debian/control
   trunk/debian/preinst
Log:
* The vintage of 2010 release!
* Drop build-depends on dpkg-dev as it's in build-essential.
* debian/preinst: update code snipplet rm_conffile() from
  http://wiki.debian.org/DpkgConffileHandling
* this commit was powered by lintian! thanks once again! :)

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2010-11-28 12:18:16 UTC (rev 833)
+++ trunk/debian/changelog	2010-11-30 13:32:20 UTC (rev 834)
@@ -1,6 +1,7 @@
 piuparts (0.39) UNRELEASED; urgency=low
 
   [ Holger Levsen ]
+  * The vintage of 2010 release!
   * piuparts-report.py: 
      - report packages which failed
        - due to broken maintainer scripts, 
@@ -62,16 +63,9 @@
       hardcoded list. :-(
     - new custom script: pre_remove_ (Closes: #539146)
     - set environment variable PIUPARTS_OBJECTS in custom scripts to a space
-      seperated list of packages / changes files being tested.
+      separated list of packages / changes files being tested.
     - do not call apt-get with --no-remove when installing packages. 
       (Closes: #603453)
-  * Add ${misc:Depends} to Depends in debian/control. 
-  * Remove versioned dependencies on debhelper, dpkg-dev and debootstrap as
-    the versions available in Etch are sufficient.
-  * Bump Standards-Version to 3.9.1, no changes necessary.
-  * Remove Ian Jackson from uploaders - thanks for your work, Ian!
-  * Makefile: support python 2.5 and 2.6 instead of 2.4 and 2.5, adjust
-    debian/control accordingly.
   * piuparts.1.txt: 
     - update the pointer to custom-scripts.txt to point to README.txt, as
       those two files have been merged. Thanks to Gregor Hermann for 
@@ -80,6 +74,16 @@
       at once.
   * README.txt
     - better documentation of custom scripts.
+  * Add ${misc:Depends} to Depends in debian/control. 
+  * Remove versioned dependencies on debootstrap as the version available 
+    in Etch is sufficient. Drop build-depends on dpkg-dev as it's in
+    build-essential.
+  * Bump Standards-Version to 3.9.1, no changes necessary.
+  * Remove Ian Jackson from uploaders - thanks for your work, Ian!
+  * Makefile: support python 2.5 and 2.6 instead of 2.4 and 2.5, adjust
+    debian/control accordingly.
+  * debian/preinst: update code snipplet rm_conffile() from
+    http://wiki.debian.org/DpkgConffileHandling
 
   [ Evgeni Golov ]
   * piuparts.py:

Modified: trunk/debian/control
===================================================================
--- trunk/debian/control	2010-11-28 12:18:16 UTC (rev 833)
+++ trunk/debian/control	2010-11-30 13:32:20 UTC (rev 834)
@@ -4,7 +4,7 @@
 Section: devel
 Priority: extra
 Standards-Version: 3.9.1
-Build-Depends: debhelper, dpkg-dev
+Build-Depends: debhelper (>=5)
 Build-Depends-Indep: python-support, asciidoc, xmlto
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/

Modified: trunk/debian/preinst
===================================================================
--- trunk/debian/preinst	2010-11-28 12:18:16 UTC (rev 833)
+++ trunk/debian/preinst	2010-11-30 13:32:20 UTC (rev 834)
@@ -2,23 +2,25 @@
 
 set -e
 
-# copied and paste from http://www.dpkg.org/dpkg/ConffileHandling - thanks!
+# copied and pasted from http://wiki.debian.org/DpkgConffileHandling - thanks!
 
 # Remove a no-longer used conffile
 rm_conffile() {
-    CONFFILE="$1"
+    local PKGNAME="$1"
+    local CONFFILE="$2"
 
-    if [ -e "$CONFFILE" ]; then
-        md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
-        old_md5sum="`sed -n -e \"/^Conffiles:/,/^[^ ]/{\\\\' $CONFFILE'{s/.* //;p}}\" /var/lib/dpkg/status`"
-        if [ "$md5sum" != "$old_md5sum" ]; then
-            echo "Obsolete conffile $CONFFILE has been modified by you."
-            echo "Saving as $CONFFILE.dpkg-bak ..."
-            mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
-        else
-            echo "Removing obsolete conffile $CONFFILE ..."
-            rm -f "$CONFFILE"
-        fi
+    [ -e "$CONFFILE" ] || return 0
+
+    local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
+    local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
+            sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
+    if [ "$md5sum" != "$old_md5sum" ]; then
+        echo "Obsolete conffile $CONFFILE has been modified by you."
+        echo "Saving as $CONFFILE.dpkg-bak ..."
+        mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+    else
+        echo "Removing obsolete conffile $CONFFILE ..."
+        rm -f "$CONFFILE"
     fi
 }
 




More information about the Piuparts-commits mailing list